POST api/userapi/add
Request Information
URI Parameters
None.
Body Parameters
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "5af3c160-eae8-4f93-9fd9-8d202c366989"
},
{
"code": "sample string 1",
"id": "5af3c160-eae8-4f93-9fd9-8d202c366989"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "72219f17-0878-40ec-9ed8-0abf02ab5f7d",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "37a8a5b9-9d4a-4c61-b5c8-dfa6f579e446",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "e78277e6-fbaf-4767-9732-202d0ecbfa15",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "72219f17-0878-40ec-9ed8-0abf02ab5f7d",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "37a8a5b9-9d4a-4c61-b5c8-dfa6f579e446",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "e78277e6-fbaf-4767-9732-202d0ecbfa15",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "6037d7f8-c30d-4fa0-acd2-3335ac1d1e49",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "c8b510e0-9d9c-4855-af00-c7607f6086ec",
"guard_id": "8a68e083-384e-4a1d-aeba-c37ee6423fa9",
"active": true
},
{
"id": "6037d7f8-c30d-4fa0-acd2-3335ac1d1e49",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "c8b510e0-9d9c-4855-af00-c7607f6086ec",
"guard_id": "8a68e083-384e-4a1d-aeba-c37ee6423fa9",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "64d49758-3418-45c4-936d-b06aca1a18bb",
"firstname": "sample string 11",
"id": "cf69c59a-808c-4b5a-9161-487856c2c6e4",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-03-10T09:12:45.7265446+00:00",
"role_id": "9b79f989-cee8-43fe-be85-54c087cc2f72"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>64d49758-3418-45c4-936d-b06aca1a18bb</customer_id>
<firstname>sample string 11</firstname>
<id>cf69c59a-808c-4b5a-9161-487856c2c6e4</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>9b79f989-cee8-43fe-be85-54c087cc2f72</role_id>
<webapp_password_last_update>2026-03-10T09:12:45.7265446+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>c8b510e0-9d9c-4855-af00-c7607f6086ec</distribution_id>
<guard_id>8a68e083-384e-4a1d-aeba-c37ee6423fa9</guard_id>
<id>6037d7f8-c30d-4fa0-acd2-3335ac1d1e49</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>c8b510e0-9d9c-4855-af00-c7607f6086ec</distribution_id>
<guard_id>8a68e083-384e-4a1d-aeba-c37ee6423fa9</guard_id>
<id>6037d7f8-c30d-4fa0-acd2-3335ac1d1e49</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>5af3c160-eae8-4f93-9fd9-8d202c366989</ID>
<code>sample string 1</code>
</right>
<right>
<ID>5af3c160-eae8-4f93-9fd9-8d202c366989</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>72219f17-0878-40ec-9ed8-0abf02ab5f7d</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>37a8a5b9-9d4a-4c61-b5c8-dfa6f579e446</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>e78277e6-fbaf-4767-9732-202d0ecbfa15</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>72219f17-0878-40ec-9ed8-0abf02ab5f7d</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>37a8a5b9-9d4a-4c61-b5c8-dfa6f579e446</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>e78277e6-fbaf-4767-9732-202d0ecbfa15</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"c72348e7-8f08-42d5-a875-fe797421b7ff"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">c72348e7-8f08-42d5-a875-fe797421b7ff</guid>